<%= form_with(model: quiz) do |form| %>
  <% if quiz.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(quiz.errors.count, "error") %> prohibited this quiz from being saved:</h2>

      <ul>
        <% quiz.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :title, style: "display: block" %>
    <%= form.text_field :title %>
  </div>

  <% (1..6).each do |i| %>
    <div>
      <%= form.label "question#{i}", style: "display: block" %>
      <%= form.text_field "question#{i}" %>
    </div>

    <div>
      <%= form.label "anstext#{i}", style: "display: block" %>
      <%= form.text_field "anstext#{i}" %>
    </div>

    <div>
      <%= form.label "answer#{i}_option", style: "display: block" %>
      <%= form.radio_button "answer#{i}_option", 'Option 1' %>
      <%= form.label "answer#{i}_option", 'Option 1' %>
      <%= form.radio_button "answer#{i}_option", 'Option 2' %>
      <%= form.label "answer#{i}_option", 'Option 2' %>
      <%= form.radio_button "answer#{i}_option", 'Option 3' %>
      <%= form.label "answer#{i}_option", 'Option 3' %>
    </div>
  <% end %>

  <div>
    <%= form.submit %>
  </div>
<% end %>
